/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import { FastifyRequest } from 'fastify';
import { IAuthenticator, IBaseConfiguration, IRequestAppContext, RequestContextProvider } from '..';
export declare class IdentityRequestContextProvider<Configuration extends IBaseConfiguration, Components extends {
    authenticator: IAuthenticator<unknown, Identity>;
}, RequestContext extends {
    identity: Identity | null;
}, Identity> implements RequestContextProvider<Configuration, Components, RequestContext> {
    apply(ctx: IRequestAppContext<Configuration, Components, RequestContext>, request: FastifyRequest): Promise<Partial<RequestContext>>;
}
